From f2d9d86c3dd9185d7ffb94749a779ec5f33bac6d Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Oct 30 2020 04:21:30 +0000
Subject: [PATCH 1082/2232] Simplify test suite.


---

diff --git a/tests/BUCK b/tests/BUCK
index f51be09..5bbe500 100644
--- a/tests/BUCK
+++ b/tests/BUCK
@@ -15,7 +15,6 @@ rust_library(
         "ffi/extra.rs",
         "ffi/lib.rs",
         "ffi/module.rs",
-        "ffi/class_in_ns.rs",
     ],
     crate = "cxx_test_suite",
     deps = [
@@ -31,7 +30,6 @@ cxx_library(
         ":bridge/source",
         ":extra/source",
         ":module/source",
-        ":class_in_ns/source",
     ],
     headers = {
         "ffi/lib.rs.h": ":bridge/header",
@@ -54,8 +52,3 @@ rust_cxx_bridge(
     name = "module",
     src = "ffi/module.rs",
 )
-
-rust_cxx_bridge(
-    name = "class_in_ns",
-    src = "ffi/class_in_ns.rs",
-)
diff --git a/tests/BUILD b/tests/BUILD
index a400f47..57ffab9 100644
--- a/tests/BUILD
+++ b/tests/BUILD
@@ -18,7 +18,6 @@ rust_library(
         "ffi/extra.rs",
         "ffi/lib.rs",
         "ffi/module.rs",
-        "ffi/class_in_ns.rs",
     ],
     deps = [
         ":impl",
@@ -33,7 +32,6 @@ cc_library(
         ":bridge/source",
         ":extra/source",
         ":module/source",
-        ":class_in_ns/source",
     ],
     hdrs = ["ffi/tests.h"],
     deps = [
@@ -59,9 +57,3 @@ rust_cxx_bridge(
     src = "ffi/module.rs",
     deps = [":impl"],
 )
-
-rust_cxx_bridge(
-    name = "class_in_ns",
-    src = "ffi/class_in_ns.rs",
-    deps = [":impl"],
-)
\ No newline at end of file
diff --git a/tests/ffi/build.rs b/tests/ffi/build.rs
index 9bdb711..4b2cbdf 100644
--- a/tests/ffi/build.rs
+++ b/tests/ffi/build.rs
@@ -6,7 +6,7 @@ fn main() {
     }
 
     CFG.include_prefix = "tests/ffi";
-    let sources = vec!["lib.rs", "extra.rs", "module.rs", "class_in_ns.rs"];
+    let sources = vec!["lib.rs", "extra.rs", "module.rs"];
     cxx_build::bridges(sources)
         .file("tests.cc")
         .flag_if_supported(cxxbridge_flags::STD)
diff --git a/tests/ffi/extra.rs b/tests/ffi/extra.rs
index 58700a2..a11970d 100644
--- a/tests/ffi/extra.rs
+++ b/tests/ffi/extra.rs
@@ -51,5 +51,13 @@ pub mod ffi2 {
         fn ns_c_take_trivial(d: D);
         #[namespace = "other"]
         fn ns_c_return_trivial() -> D;
+
+        #[namespace = "I"]
+        type I;
+
+        fn get(self: &I) -> u32;
+
+        #[namespace = "I"]
+        fn ns_c_return_unique_ptr_ns() -> UniquePtr<I>;
     }
 }
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 17146ce..fee5bcb 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -4,7 +4,6 @@
     clippy::trivially_copy_pass_by_ref
 )]
 
-pub mod class_in_ns;
 pub mod extra;
 pub mod module;
 
diff --git a/tests/test.rs b/tests/test.rs
index 20b23ac..b651feb 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -1,4 +1,3 @@
-use cxx_test_suite::class_in_ns::ffi3;
 use cxx_test_suite::extra::ffi2;
 use cxx_test_suite::ffi;
 use std::cell::Cell;
@@ -196,7 +195,7 @@ fn test_c_method_calls() {
 
 #[test]
 fn test_c_ns_method_calls() {
-    let unique_ptr = ffi3::ns_c_return_unique_ptr_ns();
+    let unique_ptr = ffi2::ns_c_return_unique_ptr_ns();
 
     let old_value = unique_ptr.get();
     assert_eq!(1000, old_value);

